Name: perl-Encode-Detect
%define pkgname Encode-Detect
Version: 1.00
Release: 1.1%{?dist}
Summary: An Encode::Encoding subclass that detects the encoding of data
Group: Development/Libraries
License: MPL
URL: http://search.cpan.org/dist/%{pkgname}/
Source: http://search.cpan.org/CPAN/authors/id/J/JG/JGMYERS/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++
BuildRequires: perl(Module::Build)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Test::More)

%description
This Perl module is an Encode::Encoding subclass that uses
Encode::Detect::Detector to determine the charset of the input data
and then decodes it using the encoder of the detected charset.

It is similar to Encode::Guess, but does not require the configuration
of a set of expected encodings. Like Encode::Guess, it only supports
decoding--it cannot encode.

%prep
%setup -q -n %{pkgname}-%{version}

%build
perl Build.PL --installdirs vendor
./Build
./Build test

%install
rm -rf %{buildroot}
./Build install --destdir %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE Changes
%{perl_vendorarch}/Encode/Detect.pm
%{perl_vendorarch}/Encode/Detect
%{perl_vendorarch}/auto/Encode/Detect
%{perl_man3dir}/Encode::Detect*.3pm*

%changelog
* Sat May  5 2007 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
